Skip to main content
GET
/
api
/
v3
/
sickLeaveCertificates
/
{id}
Get a SickLeaveCertificate
curl --request GET \
  --url https://{host}/api/v3/sickLeaveCertificates/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://{host}/api/v3/sickLeaveCertificates/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://{host}/api/v3/sickLeaveCertificates/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "id": 123,
    "leavePeriodId": 123,
    "leaveAccountId": 123,
    "authorId": 123,
    "creationDate": "2023-11-07T05:31:56Z",
    "isActive": true,
    "cancellationDate": "2023-11-07T05:31:56Z",
    "cancellationUserId": 123,
    "subrogation": true,
    "subrogationStartDate": "2023-11-07T05:31:56Z",
    "subrogationEndDate": "<string>",
    "lastWorkingDay": "2023-11-07T05:31:56Z",
    "numberOfWaitingPeriodDays": 1,
    "numberOfCompensatedDays": 1,
    "partTimeActivityRate": 123,
    "earlyReturn": true,
    "extension": true,
    "comments": "<string>",
    "originalLeavePeriodId": 123,
    "accidentDate": "<string>",
    "firstObservationDate": "2023-11-07T05:31:56Z",
    "childArrivalScheduledDate": "<string>",
    "childArrivalEffectiveDate": "<string>",
    "isSingleChild": true,
    "compensationRate": 123,
    "longLastingAffection": true
  }
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer
required

The SickLeaveCertificate ID.

Response

200 - application/json

OK

data
object